Comments

23 Comments
BZ#1970919 mdoc.7.gz conflicts with file from package man-pages
karma

Sorry for the double-comment, it looked like the Bodhi UI tricked me.

karma

I have an issue with this version, when building a package with --postinstall. In that case, mock fails to find the built package. For example:

$ mock --rebuild -r epel-8-x86_64 --postinstall python-distroinfo-0.3.2-2.el8.src.rpm

Using [1] as test source RPM. I get the following log message:

Can not load RPM file: /var/lib/mock/epel-8-x86_64/result/python3-distroinfo-0.3.2-2.el8.noarch.rpm. Could not open: /var/lib/mock/epel-8-x86_64/result/python3-distroinfo-0.3.2-2.el8.noarch.rpm WARNING: Failed install built packages

As a workaround, I can use --no-bootstrap-chroot, but the default configuration is broken.

Would it help if I open an issue on GitHub or BZ?

[1] - https://kojipkgs.fedoraproject.org//packages/python-distroinfo/0.3.2/2.el8/src/python-distroinfo-0.3.2-2.el8.src.rpm

karma

I have an issue with this version, when building a package with --postinstall. In that case, mock fails to find the built package. For example:

$ mock --rebuild -r epel-8-x86_64 --postinstall python-distroinfo-0.3.2-2.el8.src.rpm

Using [1] as test source RPM. I get the following log message:

Can not load RPM file: /var/lib/mock/epel-8-x86_64/result/python3-distroinfo-0.3.2-2.el8.noarch.rpm. Could not open: /var/lib/mock/epel-8-x86_64/result/python3-distroinfo-0.3.2-2.el8.noarch.rpm WARNING: Failed install built packages

As a workaround, I can use --no-bootstrap-chroot, but the default configuration is broken.

Would it help if I open an issue on GitHub or BZ?

[1] - https://kojipkgs.fedoraproject.org//packages/python-distroinfo/0.3.2/2.el8/src/python-distroinfo-0.3.2-2.el8.src.rpm

karma

Works fine in my tests.

BZ#1782836 RFE build git-reveiw for EPEL8

I found an issue during testing:

File "test.py", line 1, in <module> from distroinfo import query File "/usr/lib/python2.7/site-packages/distroinfo/init.py", line 1, in <module> import pbr.version File "/usr/lib/python2.7/site-packages/pbr/version.py", line 25, in <module> import pkg_resources ImportError: No module named pkg_resources

However, it looks like a packaging error in the pbr side (it should require python-setuptools). Once python-setuptools is installed, everything works as expected.

Tested and working as expected.

Tested and working fine.

karma

When trying to run it, I found a missing runtime dependency on python-testtools:

python2-gabbi-run

Traceback (most recent call last): File "/usr/bin/python2-gabbi-run", line 6, in <module> from gabbi.runner import run File "/usr/lib/python2.7/site-packages/gabbi/runner.py", line 25, in <module> from gabbi import suitemaker File "/usr/lib/python2.7/site-packages/gabbi/suitemaker.py", line 23, in <module> from gabbi import case File "/usr/lib/python2.7/site-packages/gabbi/case.py", line 32, in <module> import testtools ImportError: No module named testtools

Works fine, thanks!

BZ#1246192 Review Request: python-pymod2pkg - python module to package map
karma

Works as expected, and no longer has the bogus pyOpenSSL requirement.

BZ#1491557 retire rdopkg on epel7

FEDORA-2016-78f6a93464 is out now, and has the latest version.

BZ#1279570 Please Build For F23 and Epel7

apevec you are right, I've opened https://review.openstack.org/221267 with a proposed change.